Package org.apache.commons.imaging.icc

# Class IccProfileParser

java.lang.Object
org.apache.commons.imaging.common.BinaryFileParser
org.apache.commons.imaging.icc.IccProfileParser

public class IccProfileParser extends BinaryFileParser

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IccProfileParser()`
  Constructs a new instance with the default, big-endian, byte order.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IccProfileInfo`
  `getIccProfileInfo(byte[] bytes)`
  `IccProfileInfo`
  `getIccProfileInfo(ICC_Profile iccProfile)`
  `IccProfileInfo`
  `getIccProfileInfo(File file)`
  `IccProfileInfo`
  `getIccProfileInfo(ByteSource byteSource)`
  `boolean`
  `isSrgb(byte[] bytes)`
  `boolean`
  `isSrgb(ICC_Profile iccProfile)`
  `boolean`
  `isSrgb(File file)`
  `boolean`
  `isSrgb(ByteSource byteSource)`

  ### Methods inherited from class org.apache.commons.imaging.common.BinaryFileParser

  `debugNumber, debugNumber, getByteOrder, setByteOrder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IccProfileParser

    public IccProfileParser()
    Constructs a new instance with the default, big-endian, byte order.

- ## Method Details

  - ### getIccProfileInfo

    public IccProfileInfo getIccProfileInfo(byte[] bytes) throws IOException
    Throws:
      `IOException`

  - ### getIccProfileInfo

    public IccProfileInfo getIccProfileInfo(ByteSource byteSource) throws IOException
    Throws:
      `IOException`

  - ### getIccProfileInfo

    public IccProfileInfo getIccProfileInfo(File file) throws IOException
    Throws:
      `IOException`

  - ### getIccProfileInfo

    public IccProfileInfo getIccProfileInfo(ICC_Profile iccProfile) throws IOException
    Throws:
      `IOException`

  - ### isSrgb

    public boolean isSrgb(byte[] bytes) throws IOException
    Throws:
      `IOException`

  - ### isSrgb

    public boolean isSrgb(ByteSource byteSource) throws IOException
    Throws:
      `IOException`

  - ### isSrgb

    public boolean isSrgb(File file) throws IOException
    Throws:
      `IOException`

  - ### isSrgb

    public boolean isSrgb(ICC_Profile iccProfile) throws IOException
    Throws:
      `IOException`